/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.comLib;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：业务组件库目录树
*
* createdate:  2022-12-06 11:42:09  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件库目录树")
public class LibraryBusComTreeDetailDto implements Serializable
{

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 树目录名称<br>
     */
    @ApiModelProperty("树目录名称")
    @Size(max = 50, message="树目录名称-treeName: 数据长度不能 > 50" )
    private String treeName;
    /**
     * 父节点<br>
     */
    @ApiModelProperty("父节点")
    @Size(max = 32, message="父节点-parentId: 数据长度不能 > 32" )
    private String parentId;
    /**
     * 树节点等级<br>
     */
    @ApiModelProperty("树节点等级")
    private Integer levelNo;
    /**
     * id路径<br>
     */
    @ApiModelProperty("id路径")
    @Size(max = 500, message="id路径-idPath: 数据长度不能 > 500" )
    private String idPath;
    /**
     * 是否为叶子节点0-否1是<br>
     */
    @ApiModelProperty("是否为叶子节点0-否1是")
    private Integer isLeaf;
    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    @Size(max = 100, message="描述-memo: 数据长度不能 > 100" )
    private String memo;
    /**
     * 中文名目录<br>
     */
    @ApiModelProperty("中文名目录")
    @Size(max = 1000, message="中文名目录-namePath: 数据长度不能 > 1000" )
    private String namePath;
    /**
     * 顺序<br>
     */
    @ApiModelProperty("顺序")
    private Integer orderSeq;

    /**
     * 子目录<br>
     */
    @ApiModelProperty("子目录")
    private List<LibraryBusComTreeDetailDto> children;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getLevelNo() {
        return levelNo;
    }

    public void setLevelNo(Integer levelNo) {
        this.levelNo = levelNo;
    }

    public String getIdPath() {
        return idPath;
    }

    public void setIdPath(String idPath) {
        this.idPath = idPath;
    }

    public Integer getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(Integer isLeaf) {
        this.isLeaf = isLeaf;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getNamePath() {
        return namePath;
    }

    public void setNamePath(String namePath) {
        this.namePath = namePath;
    }

    public Integer getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(Integer orderSeq) {
        this.orderSeq = orderSeq;
    }

    public List<LibraryBusComTreeDetailDto> getChildren() {
        return children;
    }

    public void setChildren(List<LibraryBusComTreeDetailDto> children) {
        this.children = children;
    }
}